Bug 209624 - [PATCH] Add Bluetooth PANU support to knetworkmanager
Summary: [PATCH] Add Bluetooth PANU support to knetworkmanager
Status: RESOLVED FIXED
Alias: None
Product: Network Management
Classification: Unclassified
Component: Mobile Broadband (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-06 13:29 UTC by Rahman Duran
Modified: 2011-05-01 23:17 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Adds BT PANU config options to KNM (34.64 KB, patch)
2009-10-06 13:30 UTC, Rahman Duran
Details
Apply this after first patch (5.21 KB, patch)
2009-10-06 13:32 UTC, Rahman Duran
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rahman Duran 2009-10-06 13:29:13 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

Add bluetooth PANU network support to KNetworkManager.

Here is two patch that add UI support to KNM. Now KNM can configure and setup a bluetooth NetworkManager connection with success. But I couldn't figure out why NM doesn't create a Device Object. 

Please feel free to use these patchs. And ping me if you have any progress about this.
Comment 1 Rahman Duran 2009-10-06 13:30:46 UTC
Created attachment 37401 [details]
Adds BT PANU config options to KNM
Comment 2 Rahman Duran 2009-10-06 13:32:10 UTC
Created attachment 37402 [details]
Apply this after first patch
Comment 3 Will Stephenson 2009-11-17 19:19:03 UTC
Thanks, will check it out and apply soon.
Comment 4 Rahman Duran 2009-11-17 20:00:04 UTC
(In reply to comment #3)
> Thanks, will check it out and apply soon.

Hi Will,
This patch only makes KNM to create proper config file for BT PANU and  creates a NM connection. But as we discussed in irc #nm, it doesn't work anyway. As NM doesn't create a bt device when knm creates a bt connection. So this pach is useless on its own. Couldn't get any help on #nm either. 

Anyway, if you can figure out something please ping me.
Comment 5 Will Stephenson 2010-01-05 17:53:33 UTC
I should be getting a PANU capable phone shortly, will handle this patch then.
Comment 6 Will Stephenson 2010-01-08 16:09:14 UTC
See also 203584
Comment 7 Rahman Duran 2010-01-09 20:26:41 UTC
Unfortunately, I don't use NM any more. It seems with OpenSuse 11.2, NetworkManager and Modem Manager are completely messed up. I can't connect with my huawei modem. I use kde3/kinternet + wicd + blueman which works good. So NM is not an option until opensuse 11.2 has some fix.
Comment 8 Lamarque V. Souza 2011-05-01 23:16:50 UTC
Git commit 6238b858d5bdcb23c1c73f4aff0bd5f69ce8a564 by Lamarque V. Souza.
Committed on 01/05/2011 at 23:26.
Pushed by lvsouza into branch 'master'.

Add Bluetooth NAP tethering support to Plasma NM. I changed the patch to
make it fit the connection editor in kcm module and added the IpV4Widget
for DUN connections so that user can change his/her DNS list.  Thanks
Rajeesh K Nambiar for this patch.

REVIEW: 101266
BUG: 209624

M  +1    -0    libs/internals/connection.cpp     
M  +57   -58   libs/ui/bluetoothconnectioneditor.cpp     
M  +0    -29   libs/ui/gsmconnectioneditor.cpp     
M  +25   -10   settings/configshell/bluetooth.cpp     
M  +1    -1    settings/configshell/main.cpp     

http://commits.kde.org/networkmanagement/6238b858d5bdcb23c1c73f4aff0bd5f69ce8a564
Comment 9 Lamarque V. Souza 2011-05-01 23:17:41 UTC
Git commit d4a843f08c34ea6b9af6513c566317449b6ed452 by Lamarque V. Souza.
Committed on 01/05/2011 at 23:26.
Pushed by lvsouza into branch 'nm09'.

Add Bluetooth NAP tethering support to Plasma NM. I changed the patch to
make it fit the connection editor in kcm module and added the IpV4Widget
for DUN connections so that user can change his/her DNS list.  Thanks
Rajeesh K Nambiar for this patch.

REVIEW: 101266
BUG: 209624
(cherry picked from commit 6238b858d5bdcb23c1c73f4aff0bd5f69ce8a564)

M  +1    -0    libs/internals/connection.cpp     
M  +57   -58   libs/ui/bluetoothconnectioneditor.cpp     
M  +0    -29   libs/ui/gsmconnectioneditor.cpp     
M  +25   -10   settings/configshell/bluetooth.cpp     
M  +1    -1    settings/configshell/main.cpp     

http://commits.kde.org/networkmanagement/d4a843f08c34ea6b9af6513c566317449b6ed452